curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/accounts/merge \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"account_guids": [
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4"
]
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/accounts/merge"
payload = { "account_guids": ["ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1", "ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4"] }
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_guids: [
'ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1',
'ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4'
]
})
};
fetch('https://int-api.mx.com/users/{user_guid}/accounts/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/users/{user_guid}/accounts/merge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_guids' => [
'ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1',
'ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4'
]
]),
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/users/{user_guid}/accounts/merge"
payload := strings.NewReader("{\n \"account_guids\": [\n \"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1\",\n \"ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-api.mx.com/users/{user_guid}/accounts/merge")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"account_guids\": [\n \"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1\",\n \"ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/users/{user_guid}/accounts/merge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_guids\": [\n \"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1\",\n \"ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"account": {
"account_number": "3331261",
"account_number_set_by": 1,
"account_ownership": "INDIVIDUAL",
"annuity_policy_to_date": "2025-12-31",
"annuity_provider": "Metlife",
"annuity_term_year": 30,
"apr": 1,
"apr_set_by": 1,
"apy": 2.35,
"apy_set_by": 1,
"available_balance": 1000,
"available_balance_set_by": 1,
"available_credit": 4000,
"available_credit_set_by": 1,
"balance": 1000,
"balance_set_by": 1,
"calculated_apr": 19.99,
"cash_balance": 2500,
"cash_balance_set_by": 1,
"cash_surrender_value": 1000,
"cash_surrender_value_set_by": 1,
"created_at": "2025-02-13T18:08:00+00:00",
"credit_limit": 5000,
"credit_limit_set_by": 1,
"currency_code": "USD",
"currency_code_set_by": 1,
"day_payment_is_due": 14,
"day_payment_is_due_set_by": 1,
"death_benefit": 1000,
"death_benefit_set_by": 1,
"federal_insurance_status": "INSURED",
"feed_account_number": "**** 1234",
"feed_account_subtype": 2,
"feed_account_type": 2,
"feed_apr": 19.99,
"feed_apy": 1.25,
"feed_available_balance": 1000.23,
"feed_balance": 1000.23,
"feed_cash_balance": 50.5,
"feed_cash_surrender_value": 1200,
"feed_credit_limit": 5000,
"feed_currency_code": "USD",
"feed_day_payment_is_due": 15,
"feed_death_benefit": 100000,
"feed_holdings_value": 3000,
"feed_interest_rate": 3.5,
"feed_is_closed": false,
"feed_last_payment": 200,
"feed_last_payment_at": "2024-01-01T12:00:00.000Z",
"feed_loan_amount": 20000,
"feed_matures_on": "2034-01-15",
"feed_minimum_balance": 100,
"feed_minimum_payment": 35,
"feed_name": "Savings",
"feed_nickname": "Savings nickname",
"feed_original_balance": 25000,
"feed_payment_due_at": "2024-02-01T12:00:00.000Z",
"feed_payoff_balance": 18000,
"feed_routing_number": "091000019",
"feed_started_on": "2024-01-15",
"feed_statement_balance": 950,
"feed_total_account_value": 4000,
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"holdings_value": 3000,
"holdings_value_set_by": 1,
"id": "1040434698",
"imported_at": "2015-10-13T17:57:37.000Z",
"institution_code": "3af3685e-05d9-7060-359f-008d0755e993",
"institution_guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"insured_name": "Tommy Shelby",
"interest_rate": 3.25,
"interest_rate_set_by": 1,
"is_closed": false,
"is_closed_set_by": 1,
"is_hidden": false,
"is_manual": false,
"last_payment": 100,
"last_payment_at": "2023-07-25T17:14:46Z",
"last_payment_at_set_by": 1,
"last_payment_set_by": 1,
"loan_amount": 1000,
"loan_amount_set_by": 1,
"margin_balance": 1000,
"matures_on": "2015-10-13T17:57:37.000Z",
"matures_on_set_by": 1,
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"member_id": "member123",
"member_is_managed_by_user": false,
"metadata": "some metadata",
"minimum_balance": 100,
"minimum_balance_set_by": 1,
"minimum_payment": 10,
"minimum_payment_set_by": 1,
"name": "Test account 2",
"name_set_by": 1,
"nickname": "My Checking",
"nickname_set_by": 1,
"original_balance": 10,
"original_balance_set_by": 1,
"pay_out_amount": 10,
"payment_due_at": "2015-10-13T17:57:37.000Z",
"payment_due_at_set_by": 1,
"payoff_balance": 10,
"payoff_balance_set_by": 1,
"premium_amount": 1,
"property_type": "VEHICLE",
"routing_number": "68899990000000",
"started_on": "2025-10-13T17:57:37.000Z",
"started_on_set_by": 1,
"statement_balance": 1000.5,
"statement_balance_set_by": 1,
"subtype": "MONEY_MARKET",
"subtype_set_by": 1,
"today_ugl_amount": 1000.5,
"today_ugl_percentage": 6.9,
"total_account_value": 1,
"total_account_value_set_by": 1,
"total_account_value_ugl": 1,
"type": "CHECKING",
"type_set_by": 1,
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"user_id": "u-1234",
"feed_is_business": false,
"is_business": false
}
}Merge accounts
Merge two or more financial accounts that an end user has identified as duplicates. Provide at least two account GUIDs belonging to the same user.
The response will return a single consolidated account. Any other accounts you provided that were not included in the response will be deleted. This is a destructive action and can’t be undone.
curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/accounts/merge \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"account_guids": [
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4"
]
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/accounts/merge"
payload = { "account_guids": ["ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1", "ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4"] }
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_guids: [
'ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1',
'ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4'
]
})
};
fetch('https://int-api.mx.com/users/{user_guid}/accounts/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-api.mx.com/users/{user_guid}/accounts/merge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_guids' => [
'ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1',
'ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4'
]
]),
CURLOPT_HTTPHEADER => [
"Accept-Version: <accept-version>",
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-api.mx.com/users/{user_guid}/accounts/merge"
payload := strings.NewReader("{\n \"account_guids\": [\n \"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1\",\n \"ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Accept-Version", "<accept-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-api.mx.com/users/{user_guid}/accounts/merge")
.header("Accept-Version", "<accept-version>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"account_guids\": [\n \"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1\",\n \"ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-api.mx.com/users/{user_guid}/accounts/merge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept-Version"] = '<accept-version>'
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_guids\": [\n \"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1\",\n \"ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"account": {
"account_number": "3331261",
"account_number_set_by": 1,
"account_ownership": "INDIVIDUAL",
"annuity_policy_to_date": "2025-12-31",
"annuity_provider": "Metlife",
"annuity_term_year": 30,
"apr": 1,
"apr_set_by": 1,
"apy": 2.35,
"apy_set_by": 1,
"available_balance": 1000,
"available_balance_set_by": 1,
"available_credit": 4000,
"available_credit_set_by": 1,
"balance": 1000,
"balance_set_by": 1,
"calculated_apr": 19.99,
"cash_balance": 2500,
"cash_balance_set_by": 1,
"cash_surrender_value": 1000,
"cash_surrender_value_set_by": 1,
"created_at": "2025-02-13T18:08:00+00:00",
"credit_limit": 5000,
"credit_limit_set_by": 1,
"currency_code": "USD",
"currency_code_set_by": 1,
"day_payment_is_due": 14,
"day_payment_is_due_set_by": 1,
"death_benefit": 1000,
"death_benefit_set_by": 1,
"federal_insurance_status": "INSURED",
"feed_account_number": "**** 1234",
"feed_account_subtype": 2,
"feed_account_type": 2,
"feed_apr": 19.99,
"feed_apy": 1.25,
"feed_available_balance": 1000.23,
"feed_balance": 1000.23,
"feed_cash_balance": 50.5,
"feed_cash_surrender_value": 1200,
"feed_credit_limit": 5000,
"feed_currency_code": "USD",
"feed_day_payment_is_due": 15,
"feed_death_benefit": 100000,
"feed_holdings_value": 3000,
"feed_interest_rate": 3.5,
"feed_is_closed": false,
"feed_last_payment": 200,
"feed_last_payment_at": "2024-01-01T12:00:00.000Z",
"feed_loan_amount": 20000,
"feed_matures_on": "2034-01-15",
"feed_minimum_balance": 100,
"feed_minimum_payment": 35,
"feed_name": "Savings",
"feed_nickname": "Savings nickname",
"feed_original_balance": 25000,
"feed_payment_due_at": "2024-02-01T12:00:00.000Z",
"feed_payoff_balance": 18000,
"feed_routing_number": "091000019",
"feed_started_on": "2024-01-15",
"feed_statement_balance": 950,
"feed_total_account_value": 4000,
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"holdings_value": 3000,
"holdings_value_set_by": 1,
"id": "1040434698",
"imported_at": "2015-10-13T17:57:37.000Z",
"institution_code": "3af3685e-05d9-7060-359f-008d0755e993",
"institution_guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"insured_name": "Tommy Shelby",
"interest_rate": 3.25,
"interest_rate_set_by": 1,
"is_closed": false,
"is_closed_set_by": 1,
"is_hidden": false,
"is_manual": false,
"last_payment": 100,
"last_payment_at": "2023-07-25T17:14:46Z",
"last_payment_at_set_by": 1,
"last_payment_set_by": 1,
"loan_amount": 1000,
"loan_amount_set_by": 1,
"margin_balance": 1000,
"matures_on": "2015-10-13T17:57:37.000Z",
"matures_on_set_by": 1,
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"member_id": "member123",
"member_is_managed_by_user": false,
"metadata": "some metadata",
"minimum_balance": 100,
"minimum_balance_set_by": 1,
"minimum_payment": 10,
"minimum_payment_set_by": 1,
"name": "Test account 2",
"name_set_by": 1,
"nickname": "My Checking",
"nickname_set_by": 1,
"original_balance": 10,
"original_balance_set_by": 1,
"pay_out_amount": 10,
"payment_due_at": "2015-10-13T17:57:37.000Z",
"payment_due_at_set_by": 1,
"payoff_balance": 10,
"payoff_balance_set_by": 1,
"premium_amount": 1,
"property_type": "VEHICLE",
"routing_number": "68899990000000",
"started_on": "2025-10-13T17:57:37.000Z",
"started_on_set_by": 1,
"statement_balance": 1000.5,
"statement_balance_set_by": 1,
"subtype": "MONEY_MARKET",
"subtype_set_by": 1,
"today_ugl_amount": 1000.5,
"today_ugl_percentage": 6.9,
"total_account_value": 1,
"total_account_value_set_by": 1,
"total_account_value_ugl": 1,
"type": "CHECKING",
"type_set_by": 1,
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"user_id": "u-1234",
"feed_is_business": false,
"is_business": false
}
}Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Body
A list of account GUIDs to merge. Must include at least two GUIDs belonging to the same user.
2[ "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1", "ACT-e1b1e9e7-9436-4720-a1b5-f02373433bd4" ]
Response
OK
Hide child attributes
Hide child attributes
The account number associated with the account. This will typically be a masked or partial account number.
"3331261"
Who last set account_number, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The type of ownership associated with the account. NULL is returned if not received in the data feed.
UNKNOWN, INDIVIDUAL, JOINT, MULTIPLE, null "INDIVIDUAL"
The date until which the policy is in effect.
"2025-12-31"
The provider of the insurance policy.
"Metlife"
The effective duration of an insurance policy (one year, five years, etc.).
30
The annual percentage rate associated with the account.
1
Who last set apr, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The annual percentage yield associated with the account.
2.35
Who last set apy, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The balance that is available for use in asset accounts like checking and savings.
PENDING transactions are typically (not always) taken into account with the available balance.
available_balance will usually be a positive value for all account types, determined in the same way as the balance field.
1000
Who last set available_balance, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The amount of credit available for use in liability accounts like credit cards and lines of credit.
PENDING transactions are typically (not always) taken into account with available credit.
available_credit will usually be a positive value for all account types, determined in the same way as the balance field.
4000
Who last set available_credit, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The current balance of the account.
PENDING transactions are typically not taken into account with the current balance, but this may not always be the case.
The balance will usually be a positive value for all account types. Asset-type accounts (CHECKING, SAVINGS, INVESTMENT) may have a negative balance if they are in overdraft.
Debt-type accounts (CREDIT_CARD, LOAN, LINE_OF_CREDIT, MORTGAGE) may have a negative balance if they are overpaid.
1000
Who last set balance, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The APR calculated by MX from the account's data.
19.99
The cash balance of the account.
2500
Who last set cash_balance, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The sum of money paid to the policyholder or annuity holder in the event the policy is voluntarily terminated before it matures, or the insured event occurs.
1000
Who last set cash_surrender_value, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The date and time the account was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The credit limit associated with the account.
5000
Who last set credit_limit, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The three-character ISO 4217 currency code, for example, USD.
"USD"
Who last set currency_code, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The day of the month the payment is due. For example, the 14th is passed as 14.
14
Who last set day_payment_is_due, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The amount paid to the beneficiary of the account upon death of the account owner.
1000
Who last set death_benefit, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The federal insurance status of the account. Indicates whether the account is insured by the FDIC (banks) or NCUA (credit unions).
Returns an integer (UNKNOWN_INSURED = 0, INSURED = 1, NOT_INSURED = 2).
UNKNOWN_INSURED, INSURED, NOT_INSURED, null "INSURED"
The account_number value reported by the data feed.
"**** 1234"
The account subtype reported by the data feed, as the raw Atlas enum number.
2
The account type reported by the data feed, as the raw Atlas enum number.
2
The apr value reported by the data feed.
19.99
The apy value reported by the data feed.
1.25
The available_balance value reported by the data feed.
1000.23
The balance value reported by the data feed.
1000.23
The cash_balance value reported by the data feed.
50.5
The cash_surrender_value value reported by the data feed.
1200
The credit_limit value reported by the data feed.
5000
The currency_code value reported by the data feed.
"USD"
The day_payment_is_due value reported by the data feed.
15
The death_benefit value reported by the data feed.
100000
The holdings_value value reported by the data feed.
3000
The interest_rate value reported by the data feed.
3.5
The is_closed value reported by the data feed.
false
The last_payment value reported by the data feed.
200
The last_payment_at value reported by the data feed, in ISO 8601 format with a timestamp.
"2024-01-01T12:00:00.000Z"
The loan_amount value reported by the data feed.
20000
The matures_on value reported by the data feed, in ISO 8601 format without a timestamp.
"2034-01-15"
The minimum_balance value reported by the data feed.
100
The minimum_payment value reported by the data feed.
35
The name value reported by the data feed.
"Savings"
The nickname value reported by the data feed.
"Savings nickname"
The original_balance value reported by the data feed.
25000
The payment_due_at value reported by the data feed, in ISO 8601 format with a timestamp.
"2024-02-01T12:00:00.000Z"
The payoff_balance value reported by the data feed.
18000
The routing_number value reported by the data feed.
"091000019"
The started_on value reported by the data feed, in ISO 8601 format without a timestamp.
"2024-01-15"
The statement_balance value reported by the data feed.
950
The total_account_value value reported by the data feed.
4000
Unique identifier for the account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The total value of the account's holdings.
3000
Who last set holdings_value, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The unique partner-defined identifier for the account.
"1040434698"
The date and time at which the account was last successfully aggregated and received data.
"2015-10-13T17:57:37.000Z"
The code identifying a financial institution.
"3af3685e-05d9-7060-359f-008d0755e993"
The unique identifier for the institution associated with the account. Defined by MX.
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
The name of the insured person.
"Tommy Shelby"
The interest rate associated with the account.
3.25
Who last set interest_rate, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
Indicates whether an account has been closed. Closed accounts will no longer update balance or transaction information.
false
Who last set is_closed, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
Indicates whether the account is hidden. Hidden accounts can still have an active balance and receive transactions. Defaults to false.
false
Indicates whether the transaction was manually created or belongs to a manual account.
false
The amount of the most recent payment on the account.
100
The date and time when the last payment was made, represented in ISO 8601 format with a timestamp.
"2023-07-25T17:14:46Z"
Who last set last_payment_at, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
Who last set last_payment, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The amount of the loan associated with the account.
1000
Who last set loan_amount, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
Represents the amount of debt the investor owes to the broker for the use of margin. It can be positive or negative, depending on the performance of the investments made with the borrowed funds. A positive margin balance indicates that the securities purchased on margin have increased in value, whereas a negative margin balance signifies that the securities have decreased in value.
1000
The date on which the account matures.
"2015-10-13T17:57:37.000Z"
Who last set matures_on, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique, partner-defined, identifier for the member associated with this account.
"member123"
This indicates whether the member is managed by the user or the MX partner. Members created with the managed member feature will have this field set to false.
false
Additional information you stored about the account.
"some metadata"
The minimum balance associated with the account.
100
Who last set minimum_balance, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The minimum payment required for an account. This can apply to any debt account.
10
Who last set minimum_payment, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The human-readable name for the resource.
"Test account 2"
Who last set name, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
An alternate name for the account.
"My Checking"
Who last set nickname, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The original balance associated with the account. This will always be positive.
10
Who last set original_balance, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The amount paid out to the insured individual or beneficiary under the conditions of the insurance policy.
10
The date and time at which the next payment is due on the account.
"2015-10-13T17:57:37.000Z"
Who last set payment_due_at, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The payoff balance for a debt account. This will normally be a positive number.
10
Who last set payoff_balance, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The insurance policy's premium amount.
1
Subtype if the account type is PROPERTY. This field should be ignored unless the type is set to PROPERTY.
APPLIANCES, ART, COMPUTER, ELECTRONICS, FURNITURE, JEWELRY, MISCELLANEOUS, REAL_ESTATE, SPORTS_EQUIPMENT, VEHICLE, null "VEHICLE"
The routing number for the account.
"68899990000000"
The date on which the loan from a debt account started.
"2025-10-13T17:57:37.000Z"
Who last set started_on, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The balance at the end of the account's last statement period.
1000.5
Who last set statement_balance, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
Who last set subtype, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The unrealized gain/loss amount for the day for the account.
1000.5
The unrealized gain/loss percentage for the date for the account.
6.9
The sum of the long and short positions, the sweep account and/or cash balance, and any margin debt associated with a particular account. This amount includes the market value of all positions held in the account and is reduced by any debit balance and the amount of short options positions that are "in the money". This may sum to a negative value, and it does not represent an account balance.
1
Who last set total_account_value, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The unrealized gains and losses represent the amount the account has gained or lost based on the purchase price. This is calculated by subtracting the purchase price from the current market value. It does not affect the account until the positions are sold and "realized". This may sum to a negative value, and it does not represent an account balance.
1
The type of account. Some account types may include subtypes.
ANY, CASH, CHECKING, CHECKING_LINE_OF_CREDIT, CREDIT_CARD, DIGITAL_WALLET, LOAN, LINE_OF_CREDIT, SAVINGS, INVESTMENT, MORTGAGE, INSURANCE, PREPAID, PROPERTY, null "CHECKING"
Who last set type, as the raw Atlas::SetBy enum number (0 unspecified, 1 feed, 2 user, 3 system).
1
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The unique partner-defined identifier for the user.
"u-1234"
The is_business value reported by the data feed. Only rendered for business-suite clients.
false
Indicates whether the account is a business account (the inverse of is_personal). Only rendered for business-suite clients.
false

